picard.util

## Class Iterators

- java.lang.Object
- - picard.util.Iterators

-     public class Iterators
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Iterators()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <E> AtomicIterator<E>` | `atomicIteratorOf(Iterable<E> backingIterable)`
    `static <E> AtomicIterator<E>` | `atomicIteratorOf(Iterator<E> backingIterator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Iterators

          public Iterators()

  - ### Method Detail

    - #### atomicIteratorOf

          public static <E> AtomicIterator<E> atomicIteratorOf(Iterable<E> backingIterable)

    - #### atomicIteratorOf

          public static <E> AtomicIterator<E> atomicIteratorOf(Iterator<E> backingIterator)